Subject: Re: bug#2497: 23.0.91; Fails to read UTF-8 on Win2k

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Feb 2009 18:03:16 +0200

> Date: Fri, 27 Feb 2009 15:10:19 +0100
> From: Uwe Siart <[email-masked]>
> Cc: 
> 
> I'm using the windows port of 23.0.91 on Win2k SP4 and I found that it
> fails to read utf-8 encoded files correctly. When visiting a file in
> utf-8 encoding all characters above 255 are screwed up and "C-h C RET"
> indicates iso-latin1-dos for saving the file.

Does it work with "C-x RET c utf-8 RET" immediately prior to
"C-x C-f"?  If it does, then the problem is with guessing the
encoding, not with decoding it.

Also, what is the default value of buffer-file-coding-system, and was
it the same in 23.0.90?